BLK_RQ_MAP_INTEGRITY(9)

NAME
blk_rq_map_integrity_sg - Map integrity metadata into a scatterlist

SYNOPSIS

int blk_rq_map_integrity_sg(struct request_queue * q, struct bio * bio, struct scatterlist * sglist);

ARGUMENTS

q
    request queue

bio
    bio with integrity metadata attached

sglist
    target scatterlist

DESCRIPTION

Map the integrity vectors in request into a scatterlist. The scatterlist must be big enough to hold all elements. I.e. sized using blk_rq_count_integrity_sg.

COPYRIGHT